Package qsardes.descriptor

# Record Class DescriptorExtendedTopochemIndex.Eta

java.lang.Object
java.lang.Record
qsardes.descriptor.DescriptorExtendedTopochemIndex.Eta

Record Components:
  `full` - eta value.
  `local` - local eta value.

Enclosing class:
  DescriptorExtendedTopochemIndex

protected static record DescriptorExtendedTopochemIndex.Eta(double full, double local) extends Record
Stores eta values for extended topochemical index descriptors.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Eta(double full, double local)`
  Creates an instance of a `Eta` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `double`
  `full()`
  Returns the value of the `full` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `double`
  `local()`
  Returns the value of the `local` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Eta

    protected Eta(double full, double local)
    Creates an instance of a `Eta` record class.
    Parameters:
      `full` - the value for the `full` record component
      `local` - the value for the `local` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### full

    public double full()
    Returns the value of the `full` record component.
    Returns:
      the value of the `full` record component

  - ### local

    public double local()
    Returns the value of the `local` record component.
    Returns:
      the value of the `local` record component